身份提供商不一致

Moses Skoda工程师预计阅读 1 分钟

出现此问题时,API 返回 409 Conflict。其 type 为 https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch。所有错误的通用结构,请参阅错误和状态码。

组织 <organizationId> 的元数据中指定了不同的身份提供商。如需切换身份提供商,请联系 Lingo.dev 支持团队。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,客户端也可以显示自定义文本。

字段类型
organizationIdstring

示例#

json
{
  "detail": "A different identity provider in the metadata at organization <organizationId>. Switching identity provider needs Lingo.dev support.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch",
  "status": 409,
  "title": "Different identity provider"
}

返回此错误的端点#

  • PUT /v2/organizations/{orgId}/sso